Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IExtendedData

public interface IExtendedData

Interface that represents an object's extended object data. Extended object data is a way to extensibly store data about portal objects. The data is stored as typed name-value pairs.

Method Summary
`java.util.Date` | `getDateValue(java.lang.String name)` Gets an extended object data property as a date.
`int[]` | `getIntArrayValue(java.lang.String name)` Gets an extended object data property as an integer array.
`java.lang.Integer` | `getIntegerValue(java.lang.String name)` Gets an extended object data property as an integer.
`java.util.Enumeration` | `getNames()` Gets a list of all of the extended object data property names for this object.
`java.lang.String` | `getStringValue(java.lang.String name)` Gets an extended object data property as a `String`.
`java.lang.Object` | `getValue(java.lang.String name)` Gets an extended object data property of any type.

Method Detail

### getStringValue

    public java.lang.String getStringValue(java.lang.String name)

  Gets an extended object data property as a `String`.

  Parameters:
    `name` - the name of the property for which to get a value
  Returns:
    the extended object data property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not a `String`

### getIntegerValue

    public java.lang.Integer getIntegerValue(java.lang.String name)

  Gets an extended object data property as an integer.

  Parameters:
    `name` - the name of the property for which to get a value
  Returns:
    the extended object data property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not an `int`

### getIntArrayValue

    public int[] getIntArrayValue(java.lang.String name)

  Gets an extended object data property as an integer array.

  Parameters:
    `name` - the name of the property for which to get a value
  Returns:
    the extended object data property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not an integer array

### getDateValue

    public java.util.Date getDateValue(java.lang.String name)

  Gets an extended object data property as a date.

  Parameters:
    `name` - the name of the property for which to get a value
  Returns:
    the extended object data property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not a date

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Gets an extended object data property of any type.

  Parameters:
    `name` - the name of the property for which to get a value
  Returns:
    the extended object data property value

### getNames

    public java.util.Enumeration getNames()

  Gets a list of all of the extended object data property names for this object.

  Returns:
    a list of extended object data property names

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.